Bug 62315 - Update port: games/xbubble - jump from version 0.20 to version 0.5.8
Summary: Update port: games/xbubble - jump from version 0.20 to version 0.5.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-03 17:50 UTC by Florent Thoumie
Modified: 2004-02-28 19:02 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (39.42 KB, patch)
2004-02-03 17:50 UTC, Florent Thoumie
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florent Thoumie 2004-02-03 17:50:11 UTC
	Xbubble hasn't been updated for a long time, jumping from version 0.20 to 0.5.8.
	
	The port maintainer has been cc'ed.

Fix: Apply following patch :

-- xbubble-0.5.8.patch begins here --
How-To-Repeat: 
N/A
Comment 1 Kirill Ponomarev freebsd_committer 2004-02-13 09:18:24 UTC
Hi,

On Tue, Feb 03, 2004 at 06:48:53PM +0100, Florent Thoumie wrote:
> 
> >Number:         62315
> >Category:       ports
> >Synopsis:       Update port: games/xbubble - jump from version 0.20 to version 0.5.8
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       medium
> >Responsible:    freebsd-ports-bugs
> >State:          open


Could you please review ths PR and approve/reject the changes ?

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/62315

-Kirill
Comment 2 Kirill Ponomarev freebsd_committer 2004-02-13 09:18:32 UTC
State Changed
From-To: open->feedback

Asked for maintainer's feedback and review.
Comment 3 Kirill Ponomarev freebsd_committer 2004-02-23 22:54:09 UTC
Hi,

On Tue, Feb 03, 2004 at 06:48:53PM +0100, Florent Thoumie wrote:
> 
> >Number:         62315
> >Category:       ports
> >Synopsis:       Update port: games/xbubble - jump from version 0.20 to version 0.5.8
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       medium
> >Responsible:    freebsd-ports-bugs
> >State:          open


It doesn't build on 4.x:

cc1: warnings being treated as errors
xbubble.c: In function `play_single_player_game':
xbubble.c:86: warning: value computed is not used
gmake[2]: *** [xbubble.o] Error 1

-Kirill
Comment 4 Florent Thoumie 2004-02-23 23:41:02 UTC
Since I have only machines running -CURRENT, it hasn't been tested under 
4.x.

I'll try to submit a patch for 4.x shortly.

-- 
Florent Thoumie
Comment 5 Kirill Ponomarev freebsd_committer 2004-02-23 23:45:23 UTC
Hi,

On Tue, Feb 24, 2004 at 12:41:02AM +0100, Florent Thoumie wrote:
> Since I have only machines running -CURRENT, it hasn't been tested under 
> 4.x.
> 
> I'll try to submit a patch for 4.x shortly.


Great. Thank you !

-Kirill
Comment 6 Florent Thoumie 2004-02-26 00:29:13 UTC
Kirill Ponomarew wrote:

>Great. Thank you !
>
>-Kirill
>  
>

Here it is : (put in files/)

--- patch-src::Makefile.in begin here ---

--- src/Makefile.in     Wed Nov 19 15:51:19 2003
+++ src/Makefile.in.new Thu Feb 26 00:01:28 2004
@@ -128,7 +128,7 @@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
-AM_CFLAGS = -g -O2 -Werror
+AM_CFLAGS = -g -O2
 
 # Tricks to generate the traj cache at compile time
 noinst_PROGRAMS = pathinit

--- patch-src::Makefile.in ends here ---

I'll report this error to the developers.
Comment 7 Pav Lucistnik freebsd_committer 2004-02-28 19:02:23 UTC
State Changed
From-To: feedback->closed

Committed, thanks!